<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionOpenFence.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/ded/_action_open_fence_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionOpenFence.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/ded/_action_open_fence_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/da1/class_action_open_fence.html">ActionOpenFence</a>: <a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html#a12a9dc56d6a48d5c44b864070b34bff5">    3</a></span>    ref <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> <a class="code hl_variable" href="../../df/da1/class_action_open_fence.html#a12a9dc56d6a48d5c44b864070b34bff5">m_NoisePar</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html#af4240f6c804613766d0031d2edbcffff">    4</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../df/da1/class_action_open_fence.html#af4240f6c804613766d0031d2edbcffff">SELECTION_INTERACT</a> = <span class="stringliteral">&quot;gate_interact&quot;</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html#a8361c0ade8f70fc886e28d9bca284854">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/da1/class_action_open_fence.html#a8361c0ade8f70fc886e28d9bca284854">ActionOpenFence</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#open&quot;</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html#a328a70e4f304fac1e48eaec6e32319bd">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/da1/class_action_open_fence.html#a328a70e4f304fac1e48eaec6e32319bd">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html#a24c5dfa137bea8fcb2c68db7d69206e4">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/da1/class_action_open_fence.html#a24c5dfa137bea8fcb2c68db7d69206e4">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> targetObject = target.GetObject();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( targetObject &amp;&amp; targetObject.CanUseConstruction() )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            Fence fence = Fence.Cast( targetObject );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordflow">if</span> ( fence &amp;&amp; fence.CanOpenFence() )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> selections = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                targetObject.GetActionComponentNameList(target.GetComponentIndex(), selections);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; selections.Count(); i++ )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                    <span class="keywordflow">if</span> ( selections[i] == <a class="code hl_variable" href="../../df/da1/class_action_open_fence.html#af4240f6c804613766d0031d2edbcffff">SELECTION_INTERACT</a> )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html#aea0a2f028c31189be80fd9a213423be9">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/da1/class_action_open_fence.html#aea0a2f028c31189be80fd9a213423be9">OnStartServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        Fence fence = Fence.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        fence.OpenFence();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../df/da1/class_action_open_fence.html#ae3cda7e0ae0e2d167e451df88ac8d7a1">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/da1/class_action_open_fence.html#ae3cda7e0ae0e2d167e451df88ac8d7a1">OnEndServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../df/da1/class_action_open_fence.html#a12a9dc56d6a48d5c44b864070b34bff5">m_NoisePar</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_variable" href="../../df/da1/class_action_open_fence.html#a12a9dc56d6a48d5c44b864070b34bff5">m_NoisePar</a>.LoadFromPath(<span class="stringliteral">&quot;CfgVehicles SurvivorBase NoiseActionDefault&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_class" href="../../d0/deb/class_noise_system.html">NoiseSystem</a> noise = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a1393289b73e44697153238265f37c18e">GetNoiseSystem</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">if</span> ( noise )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                noise.<a class="code hl_function" href="../../d0/deb/class_noise_system.html#af33d64e032e56d9f8fba7e754ffd7740">AddNoisePos</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject().GetPosition(), <a class="code hl_variable" href="../../df/da1/class_action_open_fence.html#a12a9dc56d6a48d5c44b864070b34bff5">m_NoisePar</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_noise_8c_html_aceda78b4f4625e1c9901f7bf4a7f5cf0"><div class="ttname"><a href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a></div><div class="ttdeci">class NoiseSystem NoiseParams()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d27/_noise_8c_source.html#l00001">Noise.c:15</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html">ActionOpenFence</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00001">ActionOpenFence.c:2</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html_a12a9dc56d6a48d5c44b864070b34bff5"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html#a12a9dc56d6a48d5c44b864070b34bff5">ActionOpenFence::m_NoisePar</a></div><div class="ttdeci">ref NoiseParams m_NoisePar</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00003">ActionOpenFence.c:3</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html_a24c5dfa137bea8fcb2c68db7d69206e4"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html#a24c5dfa137bea8fcb2c68db7d69206e4">ActionOpenFence::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00019">ActionOpenFence.c:19</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html_a328a70e4f304fac1e48eaec6e32319bd"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html#a328a70e4f304fac1e48eaec6e32319bd">ActionOpenFence::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00013">ActionOpenFence.c:13</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html_a8361c0ade8f70fc886e28d9bca284854"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html#a8361c0ade8f70fc886e28d9bca284854">ActionOpenFence::ActionOpenFence</a></div><div class="ttdeci">void ActionOpenFence()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00006">ActionOpenFence.c:6</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html_ae3cda7e0ae0e2d167e451df88ac8d7a1"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html#ae3cda7e0ae0e2d167e451df88ac8d7a1">ActionOpenFence::OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00048">ActionOpenFence.c:48</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html_aea0a2f028c31189be80fd9a213423be9"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html#aea0a2f028c31189be80fd9a213423be9">ActionOpenFence::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00042">ActionOpenFence.c:42</a></div></div>
<div class="ttc" id="aclass_action_open_fence_html_af4240f6c804613766d0031d2edbcffff"><div class="ttname"><a href="../../df/da1/class_action_open_fence.html#af4240f6c804613766d0031d2edbcffff">ActionOpenFence::SELECTION_INTERACT</a></div><div class="ttdeci">const string SELECTION_INTERACT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ded/_action_open_fence_8c_source.html#l00004">ActionOpenFence.c:4</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_cursor_html"><div class="ttname"><a href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">CCTCursor.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a1393289b73e44697153238265f37c18e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a1393289b73e44697153238265f37c18e">CGame::GetNoiseSystem</a></div><div class="ttdeci">proto native NoiseSystem GetNoiseSystem()</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_noise_system_html"><div class="ttname"><a href="../../d0/deb/class_noise_system.html">NoiseSystem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d27/_noise_8c_source.html#l00001">Noise.c:2</a></div></div>
<div class="ttc" id="aclass_noise_system_html_af33d64e032e56d9f8fba7e754ffd7740"><div class="ttname"><a href="../../d0/deb/class_noise_system.html#af33d64e032e56d9f8fba7e754ffd7740">NoiseSystem::AddNoisePos</a></div><div class="ttdeci">proto void AddNoisePos(EntityAI source_entity, vector pos, NoiseParams noise_params, float external_strenght_multiplier=1.0)</div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../d7/ded/_action_open_fence_8c.html">ActionOpenFence.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
